Skip to content
Snippets Groups Projects
Commit 073a03ac authored by Jason Hiser's avatar Jason Hiser :tractor:
Browse files

fixed testing

parent c14f3fb5
No related branches found
No related tags found
No related merge requests found
......@@ -27,7 +27,7 @@ xform-ls-ubuntu16:
tags:
- ubuntu16
xform-ls-ubuntu16:
xform-ls-centos75:
<<: *xform-ls
tags:
- centos75
......
......@@ -24,20 +24,25 @@ do_clean()
do_test()
{
scons
sudo dpkg -i *.deb
# allow these to fail so we can clean up
set +e
docker run -v /bin:/in -v /tmp:/out $DOCKER_ZAFL /in/ls /out/ls.zafl
local res1=$?
/tmp/ls.zafl -l
set -e
local res2=$?
sudo apt-get remove libzafl -y
if [[ $res1 != 0 ]] || [[ $res2 != 0 ]]; then
exit 1
scons || exit 1
if [[ -x /usr/bin/lsb_release ]]; then
sudo dpkg -i *.deb
# allow these to fail so we can clean up
set +e
docker run -v /bin:/in -v /tmp:/out $DOCKER_ZAFL /in/ls /out/ls.zafl
local res1=$?
/tmp/ls.zafl -l
set -e
local res2=$?
sudo apt-get remove libzafl -y
if [[ $res1 != 0 ]] || [[ $res2 != 0 ]]; then
exit 1
fi
else
exit 0
fi
......
0% Loading or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment